[Frage] Probleme mit installation von pt_ext auf Typo3 6.1.7

  • antonesin antonesin
    Typ im Roten Hemd
    0 x
    2 Beiträge
    0 Hilfreiche Beiträge
    23. 12. 2013, 12:10

    Ich möchte Yag installieren, der aber pt_ext und pt_list braucht.

    Ich habe Typo3 6.1.7 mit introduction package installiert und nichts mehr.

    Versuch direkt von TER zu installieren ist fehlgeschlagen mit Nachricht es ist nur versionen bis 6.0.99 unterstützt.

    Laut Eintrag auf typo.org muss alles bis 6.1.99 unterstützt werden.

    Hab von github yag pt_ext und pt_list heruntergeladen.

    Die Reihenfolge von installation:
    pt_extbase -> pt_list -> yag

    Aber beim Versuch pt_extbase auf nagelneue Typo3 Installation via Extensions manager -> zip upload zu installieren habe ich folgendes bekommen:

    Fatal error: Uncaught exception 'BadFunctionCallException' with message 'TYPO3 Fatal Error: Extension key "pt_extbase" is NOT loaded!' in /www/htdocs/w00b2fb5/typo3latest/typo3_src-6.1.7/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php:87 Stack trace: #0 /www/htdocs/w00b2fb5/typo3latest/typo3conf/ext/pt_extbase-develop/ext_localconf.php(31): TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('pt_extbase') #1 /www/htdocs/w00b2fb5/typo3latest/typo3_src-6.1.7/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php(1551): require('/www/htdocs/w00...') #2 /www/htdocs/w00b2fb5/typo3latest/typo3_src-6.1.7/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php(1522): TYPO3\CMS\Core\Utility\ExtensionManagementUtility::loadSingleExtLocalconfFiles() #3 /www/htdocs/w00b2fb5/typo3latest/typo3_src-6.1.7/typo3/sysext/core/Classes/Core/Bootstrap.php(595): TYPO3\CMS\Core\Utility\ExtensionManagementUtility::loadExtLocalconf(true) #4 /www/htdocs/w00b2fb5/typo3latest/typo3_src-6.1.7/typo3/sysext/cor in /www/htdocs/w00b2fb5/typo3latest/typo3_src-6.1.7/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php on line 87

    Google suche hat nicht viel gebracht [url=http://forge.typo3.org/issues/47903]hier[/url] wurde bug gemeldet aber workaround funktioniert nicht, da ich versucht habe manuell pt_extbase zu installieren.

    Muss ich noch etwas vor diesem pt_extbase installieren?


  • 1
  • Sturmi Sturmi
    Sternenflotten-Admiral
    0 x
    214 Beiträge
    0 Hilfreiche Beiträge
    20. 02. 2014, 13:46

    Schon eine Lösung gefunden? Sitze nämlich vor genau den selben Problem.

  • antonesin antonesin
    Typ im Roten Hemd
    0 x
    2 Beiträge
    0 Hilfreiche Beiträge
    20. 02. 2014, 14:01

    Ja habe ich.

    Zu erst habe ich einfach die Dateien von github von falschen zweig runtergeladen.

    Später habe ich ich es von develop branch genommen aber es klappte immer noch nicht bis ich zu erst die alte masterversion von pt_extbase installiert habe (indem ich drinnen die unterstützte version hochgedreht habe). Danach drauf pt_extbase develop dann pt_list develop dann yag. So wurde es installiert.

    Aber jetz geht es noch leichter, da eine neue version von yag und Co raus ist, man braucht kein github mehr, man kann pt_extbase dann pt_list und yag direkt von typo3 repository als T3x archives runterladen und im backend manuell installieren.
    [url=http://typo3.org/extensions/repository/view/pt_extbase]pt_extbase[/url]
    [url=http://typo3.org/extensions/repository/view/pt_extlist]pt_extlist[/url]
    [url=http://typo3.org/extensions/repository/view/yag]yag[/url]

    Installiert habe ich es ohne Probleme, aber es funktioniert immer noch nicht, anscheinend ist die Laufzeit für CGI scrpiten auf meinem Hosting gering ist, und das reicht für yag nicht, auf teuers tarif wechseln möchte ich nicht also habe ich eine andere extension benutzt. Also ob yag nach installation einwandfrei funktioniert weiß ich nicht.

  • 1